package cz.cvut.kbss.bookstore.config;

import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

@Configuration
@EnableAspectJAutoProxy(proxyTargetClass = true)
@ComponentScan(basePackages = {"cz.cvut.kbss.bookstore.service", "cz.cvut.kbss.bookstore.provider"})
public class ServiceConfig {
}
