/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.bookstore.pres.bb;

import cz.cvut.kbss.bookstore.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

/**
 * This bean is used in the register.xhtml gather form parameter values. Example of a request scope bean.
 *
 * @author user
 */
@Component
@Scope(value = "request")
public class Register {

    protected String name;
    protected int age;
    protected String password;

    @Autowired
    protected UserService userService;

    @Autowired
    private LoginBean loginBean;
    
    public String storeUser(){
        userService.addUser(getName(), getPassword(), getAge());
        loginBean.setUsername(getName());
        loginBean.setPassword(getPassword());         
        return loginBean.login();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

}
