/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.bookstore.pres.bb;

import cz.cvut.kbss.bookstore.dto.UserDto;
import cz.cvut.kbss.bookstore.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import javax.faces.context.FacesContext;

/**
 * Example of a session scope bean. The user property is set in the user-list.xhtml. Subsequent visits to the user.xhtml
 * page will show the same user until the session expires or the user clicks on another link in the user-list.xhtml
 * page.
 *
 * @author user
 */
@Component
@Scope(value = "session")
public class SelectedUser {

    protected UserDto user;

    @Autowired
    protected UserService userService;

    public UserDto getUser() {
        return user;
    }

    public void setUser(UserDto user) {
        this.user = user;
    }

    public void setUserById(Long userId) {
        this.user = userService.findAsDto(userId);
    }

    public String setUserById(String outcome) {
        Long userId = Long
                .valueOf(FacesContext.getCurrentInstance().getExternalContext().getRequestParameterMap().get("userid"));
        this.user = userService.findAsDto(userId);
        return outcome;
    }

}
