/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.bookstore.pres.bb;

import cz.cvut.kbss.bookstore.dto.UserDto;
import cz.cvut.kbss.bookstore.service.UserService;
import java.util.List;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

/**
 *
 * @author ledvima1
 */
@Component("usersBack")
@Scope("session")
public class UsersBack {
    
    @Autowired
    private UserService userService;
    
    public List<UserDto> getUsers() {
        return userService.findAllAsDto();
    }
    
    public void deleteUser(Long userId) {
        userService.removeById(userId);
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage("User was sucessfully deleted"));
    }
}
